Assessment criteria
Criteria (and rubrics) a discipline uses to give grades.
List the discipline's assessment criteria
GET /disciplinas/{disciplinaId}/criterios
Access: Requires the capability LER over discipline (params.disciplinaId). Success status: 200.
Path parameters
| Parameter | Type | Required | Constraints | Description |
|---|---|---|---|---|
disciplinaId | string (uuid) | yes | Discipline id. |
Query parameters
| Parameter | Type | Required | Constraints | Description |
|---|---|---|---|---|
inativos | "true" | "false" | no | default: "false" | true also includes inactive records. |
Response
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
items | list of CriterioDto | yes |
On error: ErroApi model.
Example
curl -X GET "$API/disciplinas/{disciplinaId}/criterios" -H "Authorization: Bearer $TOKEN"Create an assessment criterion
POST /disciplinas/{disciplinaId}/criterios
Access: Requires the capability CADASTRAR over discipline (params.disciplinaId). Success status: 201.
Path parameters
| Parameter | Type | Required | Constraints | Description |
|---|---|---|---|---|
disciplinaId | string (uuid) | yes | Discipline id. |
Request body (CriterioCriar)
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
chave | string | yes | ^[a-z][a-z0-9_]{1,39}$ | |
notaMin | integer | yes | 0…99 | |
notaMax | integer | yes | 1…100 | |
permiteNa | boolean | no | default: false | |
ordem | integer | no | 0…999 | |
nomes | CriterioNomes | yes | ||
descricoes | CriterioDescricoes | no | ||
rubricas | CriterioRubricas | no |
Response
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
id | string (uuid) | yes | ||
disciplinaId | string (uuid) | yes | ||
chave | string | yes | ||
notaMin | integer | yes | ||
notaMax | integer | yes | ||
permiteNa | boolean | yes | ||
ordem | integer | yes | ||
ativo | boolean | yes | ||
nome | string | yes | Name in the requester's language (falls back to Portuguese, then any language). | |
nomes | object | yes | All registered names, per language (for editing). | |
descricao | string | yes | How-to-assess description in the requester's language (falls back to Portuguese; empty if none). | |
descricoes | object | yes | All registered descriptions, per language (for editing). | |
rubrica | Rubrica | yes | Rubric in the requester's language (falls back to Portuguese; empty if none). | |
rubricas | object | yes | All registered rubrics, per language (for editing). |
On error: ErroApi model.
Example
curl -X POST "$API/disciplinas/{disciplinaId}/criterios" -H "Authorization: Bearer $TOKEN" -H "Content-Type: application/json" -d '{"chave":"texto","notaMin":0,"notaMax":1,"nomes":{"pt-BR":"texto"}}'Update an assessment criterion
PATCH /disciplinas/{disciplinaId}/criterios/{criterioId}
Access: Requires the capability CADASTRAR over discipline (params.disciplinaId). Success status: 200.
Path parameters
| Parameter | Type | Required | Constraints | Description |
|---|---|---|---|---|
criterioId | string (uuid) | yes | Assessment criterion id. | |
disciplinaId | string (uuid) | yes | Discipline id. |
Request body (CriterioAtualizar)
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
nomes | object | no | ||
nomes.pt-BR | string | no | 1–120 characters | |
nomes.es | string | no | 1–120 characters | |
nomes.en-US | string | no | 1–120 characters | |
descricoes | CriterioDescricoes | no | ||
rubricas | CriterioRubricas | no | ||
ordem | integer | no | 0…999 | |
ativo | boolean | no |
Response
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
id | string (uuid) | yes | ||
disciplinaId | string (uuid) | yes | ||
chave | string | yes | ||
notaMin | integer | yes | ||
notaMax | integer | yes | ||
permiteNa | boolean | yes | ||
ordem | integer | yes | ||
ativo | boolean | yes | ||
nome | string | yes | Name in the requester's language (falls back to Portuguese, then any language). | |
nomes | object | yes | All registered names, per language (for editing). | |
descricao | string | yes | How-to-assess description in the requester's language (falls back to Portuguese; empty if none). | |
descricoes | object | yes | All registered descriptions, per language (for editing). | |
rubrica | Rubrica | yes | Rubric in the requester's language (falls back to Portuguese; empty if none). | |
rubricas | object | yes | All registered rubrics, per language (for editing). |
On error: ErroApi model.
Example
curl -X PATCH "$API/disciplinas/{disciplinaId}/criterios/{criterioId}" -H "Authorization: Bearer $TOKEN" -H "Content-Type: application/json" -d '{}'Assessment criteria of the class's discipline
GET /turmas/{turmaId}/criterios
Access: Requires the capability LER over class (params.turmaId). Success status: 200.
Path parameters
| Parameter | Type | Required | Constraints | Description |
|---|---|---|---|---|
turmaId | string (uuid) | yes | Class id. |
Response
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
items | list of CriterioDto | yes |
On error: ErroApi model.
Example
curl -X GET "$API/turmas/{turmaId}/criterios" -H "Authorization: Bearer $TOKEN"